Bug 310771 - crash on boot
crash on boot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-28 08:47 EDT by Andreas Thienemann
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-12 16:54:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2007-09-28 08:47:03 EDT
kernel BUG at include/linux/netdevice.h:1008!
invalid opcode: 0000 [1] SMP
CPU 1
Modules linked in: ipv6 nf_conntrack_netbios_ns ipt_REJECT nf_conntrack_ipv4
xt_state nf_conntrack nfnetlink xt_tcpudp iptable_filter ip_tables x_tables loop
video output sbs battery ac parport_pc lp parport sr_mod cdrom ata_generic
floppy sg cyclades pata_serverworks libata e100 mii k8temp hwmon shpchp tg3
button osst serio_raw st dm_snapshot dm_zero dm_mirror dm_mod sym53c8xx
scsi_transport_spi 3w_9xxx sd_mod scsi_mod ext3 jbd mbcache ehci_hcd ohci_hcd
uhci_hcd
Pid: 3024, comm: ip Not tainted 2.6.23-0.211.rc8.git2.fc8 #1
RIP: 0010:[<ffffffff88132f0c>]  [<ffffffff88132f0c>] :e100:e100_poll+0x2ef/0x34d
RSP: 0018:ffff81023ff7fed8  EFLAGS: 00010046
RAX: 0000000000000056 RBX: 0000000000000246 RCX: 0000000000000000
RDX: ffff81013be82000 RSI: 00000000000008d3 RDI: ffff81013ca4ca80
RBP: ffff81013ca4c980 R08: ffff81013ca4c000 R09: ffff81013feea000
R10: ffff810001071720 R11: 0000000000000082 R12: 0000000000000000
R13: ffff81013ca4c000 R14: ffff81013c27c012 R15: 0000000000000000
FS:  00002aaaaaabab00(0000) GS:ffff81010605c898(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 00000000008ca540 CR3: 000000013c74f000 CR4: 00000000000006e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process ip (pid: 3024, threadinfo ffff81013c5d0000, task ffff81013be82000)
Stack:  ffff81013be827d8 0000000000000000 ffff81023ff7ff54 00000010810542cb
 0000000000000000 ffff81013b434000 00ffffff811fca6a ffff81013ca4c000
 0000000000000000 ffff8100010d2058 ffff8100010d2000 00000000fffbd969
Call Trace:
 <IRQ>  [<ffffffff811fcabd>] net_rx_action+0xad/0x1bb
 [<ffffffff8103d316>] __do_softirq+0x4b/0xe0
 [<ffffffff8103d329>] __do_softirq+0x5e/0xe0
 [<ffffffff8100adc4>] default_idle+0x0/0x51
 [<ffffffff8100cdfc>] call_softirq+0x1c/0x28
 <EOI>  [<ffffffff811fc250>] dev_open+0x4c/0x6e
 [<ffffffff8100e0cb>] do_softirq+0x35/0xa0
 [<ffffffff8103d20e>] local_bh_enable_ip+0xc9/0xf4
 [<ffffffff811fc250>] dev_open+0x4c/0x6e
 [<ffffffff811fa251>] dev_change_flags+0xaa/0x168
 [<ffffffff812406c9>] devinet_ioctl+0x235/0x597
 [<ffffffff811ef356>] sock_ioctl+0x1c8/0x1e5
 [<ffffffff810af425>] do_ioctl+0x21/0x6b
 [<ffffffff810af6bc>] vfs_ioctl+0x24d/0x266
 [<ffffffff810af72e>] sys_ioctl+0x59/0x7b
 [<ffffffff8100bbfe>] system_call+0x7e/0x83


Code: 0f 0b eb fe 49 8d bd 00 02 00 00 e8 c8 bb ff f8 f0 41 0f ba
RIP  [<ffffffff88132f0c>] :e100:e100_poll+0x2ef/0x34d
 RSP <ffff81023ff7fed8>
Kernel panic - not syncing: Aiee, killing interrupt handler!
Comment 1 Dave Jones 2007-11-19 16:16:48 EST
This looks familiar, does it still happen with the latest update?

Note You need to log in before you can comment on or make changes to this bug.